Bug 828062 - SELinux is preventing /usr/sbin/sysctl from 'write' accesses on the file nmi_watchdog.
SELinux is preventing /usr/sbin/sysctl from 'write' accesses on the file nmi_...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:794322e350f9264d97a97a1b203...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 03:20 EDT by Štefan Gurský
Modified: 2012-07-19 05:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 20:28:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Alert log (2.25 KB, text/plain)
2012-06-12 04:52 EDT, Antonio Trande
no flags Details

  None (edit)
Description Štefan Gurský 2012-06-04 03:20:27 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.7-1.fc17.x86_64
time:           Po  4. jún 2012, 09:20:11 CEST

description:
:SELinux is preventing /usr/sbin/sysctl from 'write' accesses on the file nmi_watchdog.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that sysctl should be allowed write access on the nmi_watchdog file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep sysctl /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:tuned_t:s0
:Target Context                system_u:object_r:sysctl_kernel_t:s0
:Target Objects                nmi_watchdog [ file ]
:Source                        sysctl
:Source Path                   /usr/sbin/sysctl
:Port                          <Neznáme>
:Host                          (removed)
:Source RPM Packages           procps-3.2.8-26.20110302git.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.7-1.fc17.x86_64 #1 SMP Mon May 21
:                              22:32:19 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    Po  4. jún 2012, 00:23:52 CEST
:Last Seen                     Po  4. jún 2012, 09:18:48 CEST
:Local ID                      d3f9d6f2-183a-4b10-9fcd-4e90cafbc75c
:
:Raw Audit Messages
:type=AVC msg=audit(1338794328.802:61): avc:  denied  { write } for  pid=977 comm="sysctl" name="nmi_watchdog" dev="proc" ino=17923 scontext=system_u:system_r:tuned_t:s0 tcontext=system_u:object_r:sysctl_kernel_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1338794328.802:61): arch=x86_64 syscall=open success=no exit=EACCES a0=a8e010 a1=241 a2=1b6 a3=238 items=0 ppid=738 pid=977 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=sysctl exe=/usr/sbin/sysctl subj=system_u:system_r:tuned_t:s0 key=(null)
:
:Hash: sysctl,tuned_t,sysctl_kernel_t,file,write
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-06-04 06:21:20 EDT
Fixed in selinux-policy-3.10.0-129.fc17
Comment 2 Fedora Update System 2012-06-11 16:59:17 EDT
selinux-policy-3.10.0-130.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-130.fc17
Comment 3 Antonio Trande 2012-06-12 04:51:50 EDT
(In reply to comment #2)
> selinux-policy-3.10.0-130.fc17 has been submitted as an update for Fedora 17.
> https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-130.fc17

Alert still remains.
See Alert-3.10.0-130.txt.
Comment 4 Antonio Trande 2012-06-12 04:52:25 EDT
Created attachment 591142 [details]
Alert log
Comment 5 Miroslav Grepl 2012-06-12 05:52:58 EDT
My fault, I added bad interface calling.

Could you allow it for now using 

# grep sysctl /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.10.0-131.fc17
Comment 6 Fedora Update System 2012-06-15 19:56:55 EDT
Package selinux-policy-3.10.0-130.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-130.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9520/selinux-policy-3.10.0-130.fc17
then log in and leave karma (feedback).
Comment 7 Antonio Trande 2012-06-16 07:18:18 EDT
(In reply to comment #6)
> Package selinux-policy-3.10.0-130.fc17:
> * should fix your issue,
> * was pushed to the Fedora 17 testing repository,
> * should be available at your local mirror within two days.
> Update it with:
> # su -c 'yum update --enablerepo=updates-testing
> selinux-policy-3.10.0-130.fc17'
> as soon as you are able to.
> Please go to the following url:
> https://admin.fedoraproject.org/updates/FEDORA-2012-9520/selinux-policy-3.10.
> 0-130.fc17
> then log in and leave karma (feedback).

selinux-policy* packages are already updated to 3.10.0-130.fc17
Comment 8 Fedora Update System 2012-06-16 20:01:51 EDT
selinux-policy-3.10.0-130.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-06-19 03:58:07 EDT
selinux-policy-3.10.0-132.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-132.fc17
Comment 10 Antonio Trande 2012-06-19 06:11:56 EDT
Fixed in selinux-policy-3.10.0-131.fc17
Comment 11 Fedora Update System 2012-06-19 20:28:32 EDT
selinux-policy-3.10.0-132.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-07-19 05:16:22 EDT
selinux-policy-3.10.0-132.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.